MetalRadioButtonUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalRadioButtonUI class
Date: 2023-01-18

javax.swing.plaf.metal

## Class MetalRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.metal.MetalRadioButtonUI

- Direct Known Subclasses:
    MetalCheckBoxUI

      public class MetalRadioButtonUI
      extends BasicRadioButtonUI

  RadioButtonUI implementation for MetalRadioButtonUI

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Color` | `disabledTextColor`
    `protected Color` | `focusColor`
    `protected Color` | `selectColor`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `icon`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalRadioButtonUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent c)`
    `protected Color` | `getDisabledTextColor()`
    `protected Color` | `getFocusColor()`
    `protected Color` | `getSelectColor()`
    `void` | `installDefaults(AbstractButton b)`
    `void` | `paint(Graphics g, JComponent c)` paint the radio button
    `protected void` | `paintFocus(Graphics g, Rectangle t, Dimension d)` Paints focused radio button.
    `protected void` | `uninstallDefaults(AbstractButton b)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `getDefaultIcon, getPreferredSize, getPropertyPrefix, installListeners, uninstallListeners`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### focusColor

          protected Color focusColor

    - #### selectColor

          protected Color selectColor

    - #### disabledTextColor

          protected Color disabledTextColor

  - ### Constructor Detail

    - #### MetalRadioButtonUI

          public MetalRadioButtonUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

    - #### installDefaults

          public void installDefaults(AbstractButton b)

      Overrides:
        `installDefaults` in class `BasicRadioButtonUI`

    - #### uninstallDefaults

          protected void uninstallDefaults(AbstractButton b)

      Overrides:
        `uninstallDefaults` in class `BasicRadioButtonUI`

    - #### getSelectColor

          protected Color getSelectColor()

    - #### getDisabledTextColor

          protected Color getDisabledTextColor()

    - #### getFocusColor

          protected Color getFocusColor()

    - #### paint

          public void paint(Graphics g,
                            JComponent c)

      Description copied from class: `BasicRadioButtonUI`
      paint the radio button
      Overrides:
        `paint` in class `BasicRadioButtonUI`
      Parameters:
        `g` - the `Graphics` context in which to paint
        `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

    - #### paintFocus

          protected void paintFocus(Graphics g,
                                    Rectangle t,
                                    Dimension d)

      Description copied from class: `BasicRadioButtonUI`
      Paints focused radio button.
      Overrides:
        `paintFocus` in class `BasicRadioButtonUI`
      Parameters:
        `g` - an instance of `Graphics`
        `t` - bounds
        `d` - the size of radio button

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.